<!DOCTYPE html
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" dir="ltr">
	<head>
		<title>recAnalyst demo</title>
		<meta http-equiv="Content-Language" content="en" />
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1250" />
		<link rel="stylesheet" type="text/css" href="style.css" media="screen" />
		<script type="text/javascript" src="jscript.js"></script>
	</head>
	<body>
		<form action="" method="post" enctype="multipart/form-data">
			<label for="file">Recorded Game:</label>
			<input type="file" name="file" id="file" size="40" />
			<input type="submit" name="submit" value="Upload" />
		</form>
		<span style="color:red">Upload format: zip archive, first five games will be analyzed</span><br />
<?php
require_once('common.php');

if (isset($_POST['submit']) && false !== ($fileName = upload())) {

	// file was uploaded successfully, now we can try to analyze it
	require_once('RecAnalystView.php');

	$recAnalystView = new RecAnalystView();
	$recAnalystView->maxGames = 5; // analyze at most five (first) games in archive
	$recAnalystView->fileName = $fileName;

	try {
		$recAnalystView->analyze();
		echo $recAnalystView;
	}
	catch (Exception $e) {
		echo 'Caught exception: ', $e->getMessage(), "\n";
	}
}
?>
	</body>
</html>